package org.ajax4jsf.bean;

import java.awt.Color;
import java.io.Serializable;

public class MediaData implements Serializable {

    private static final long serialVersionUID = 1L;

    Integer width;

    Integer height;

    Color background;

    Color drawColor;

    public MediaData() {
	this.width = 100;
	this.height = 100;
	background = Color.BLACK;
	drawColor = Color.WHITE;
    }

    public MediaData(Integer width, Integer height, Color background, Color drawColor) {
	this.width = width;
	this.height = height;
	this.background = background;
	this.drawColor = drawColor;
    }

    /**
     * @return the width
     */
    public Integer getWidth() {
	return width;
    }

    /**
     * @param width the width to set
     */
    public void setWidth(Integer width) {
	this.width = width;
    }

    /**
     * @return the height
     */
    public Integer getHeight() {
	return height;
    }

    /**
     * @param height the height to set
     */
    public void setHeight(Integer height) {
	this.height = height;
    }

    /**
     * @return the background
     */
    public Color getBackground() {
	return background;
    }

    /**
     * @param background the background to set
     */
    public void setBackground(Color background) {
	this.background = background;
    }

    /**
     * @return the drawColor
     */
    public Color getDrawColor() {
	return drawColor;
    }

    /**
     * @param drawColor the drawColor to set
     */
    public void setDrawColor(Color drawColor) {
	this.drawColor = drawColor;
    }

}